Mitarbeitende
Rolle zuweisen
AuthentifizierungBearer <token>
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Ort: header
Pfadparameter
employee*string
The employee ID
Format
uuidRequest-Body
application/json
TypeScript-Definitionen
TypeScript-Typ für request body.
Response-Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/employees/497f6eca-6276-4993-bfeb-53cbbbba6f08/role" \ -H "Content-Type: application/json" \ -d '{ "role": "string" }'{ "data": { "id": "string", "code": "string", "name": "string", "surname": "string", "gender": "male", "birthday": "string", "working_hours": "string", "vacation_days": 0, "employed_start": "string", "employed_end": "string", "unit": { "id": "string", "name": "string", "parent_id": "string", "permissions": { "property1": true, "property2": true }, "children": [ {} ], "created_at": "string", "updated_at": "string" }, "location": { "id": "string", "name": "string", "phone": "string", "address": "string", "address_additional": "string", "city": "string", "postal_code": "string", "state_region": "string", "country": "string", "timezone": "string", "holidays": [ { "id": "string", "name": "string", "is_system": "string", "source_key": "string", "entries": [ { "id": "string", "date": "string", "name": "string", "half_day": "string" } ], "created_at": "string", "updated_at": "string" } ], "employees_count": 0, "created_at": "string", "updated_at": "string" }, "department": { "id": "string", "name": "string", "description": "string", "created_at": "string", "updated_at": "string" }, "cost_center": { "id": "string", "code": "string", "name": "string", "description": "string", "created_at": "string", "updated_at": "string" }, "position": "string", "avatar_url": "string", "email": "string", "locale": "de", "private_email": "string", "phone": "string", "emergency_contact_name": "string", "emergency_contact_relation": "string", "emergency_contact_phone": "string", "role": "string", "role_display_name": "string", "active": true, "uses_projects": true, "reference_no": "string", "salary_type_work": "string", "salary_type_overtime": "string", "include_in_export": true, "time_account_enabled": true, "weekly_hours_limit": "string", "holiday_auto_compensation": true, "latest_overtime_account": { "year_month": "string", "balance_ms": "string", "earned_ms": "string" }, "work_area_ids": [ "string" ], "onboarding": { "has_reference_no": true, "has_email": true, "has_schedule_model": true, "has_holiday_calendar": true, "has_payroll_data": true }, "created_at": "string", "updated_at": "string" }}